#!/bin/sh

[ -f ~/.neorc ] && . ~/.neorc

ync() {
    case $1 in
        yes|y|YES|Y|1)
            return 0
            ;;
        no|n|NO|N|0|*)
            return 1
            ;;
    esac
}

dock() {
    if ync $USE_DOCK_MAN; then
        pushd /docker 
        ./man $@
        popd
    else
        docker $@
    fi
}

if [ "$1" = "-c" ]; then
    router.sh $@
fi

case $1 in
    logs|l)
        dock logs $2
    ;;
    attach|a)
        docker attach --sig-proxy=false $2
    ;;
    shell|''|*)
        ${PREF_SHELL:-bash} $@
    ;;
esac